# class BigDecimal

### Public Class Methods

json_create(object) click to toggle source

Import a JSON Marshalled object.

method used for JSON marshalling support.

    # File lib/json/add/bigdecimal.rb, line 10
    def self.json_create(object)
      BigDecimal._load object['b']
    end

### Public Instance Methods

as_json(*) click to toggle source

Marshal the object to JSON.

method used for JSON marshalling support.

    # File lib/json/add/bigdecimal.rb, line 17
    def as_json(*)
      {
        JSON.create_id => self.class.name,
        'b'            => _dump,
      }
    end

to_json(*) click to toggle source

return the JSON value

    # File lib/json/add/bigdecimal.rb, line 25
    def to_json(*)
      as_json.to_json
    end